<?xml version="1.0" encoding="utf-8"?>
<androidx.coordinatorlayout.widget.CoordinatorLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:id="@+id/content"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".activities.MainActivity">

    <androidx.coordinatorlayout.widget.CoordinatorLayout
        tools:ignore="RtlHardcoded"
        android:fitsSystemWindows="true"
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <FrameLayout
            android:id="@+id/fab_scrim"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:clickable="true"
            android:focusable="true"
            android:background="@color/colorScrim"
            android:animateLayoutChanges="true"
            android:elevation="8dp"
            android:visibility="invisible" />

        <androidx.core.widget.NestedScrollView
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:scrollbars="none"
            android:fillViewport="true"
            app:layout_behavior="@string/appbar_scrolling_view_behavior">

            <!-- Your scrolling content -->
            <FrameLayout
                android:id="@+id/container"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_above="@+id/bottom_menu"
                android:layout_marginBottom="56dp">
                <!--android:layout_marginTop="?android:attr/actionBarSize"-->
            </FrameLayout>

        </androidx.core.widget.NestedScrollView>

        <com.google.android.material.appbar.AppBarLayout
            android:id="@+id/main_appbar"
            android:fitsSystemWindows="true"
            android:background="?attr/appBarBackground"
            android:layout_height="wrap_content"
            android:layout_width="match_parent">

            <com.google.android.material.appbar.CollapsingToolbarLayout
                android:id="@+id/collapsing_toolbar"
                android:layout_width="match_parent"
                android:layout_height="?attr/collapsingToolbarLayoutLargeSize"
                app:expandedTitleGravity="center"
                android:fitsSystemWindows="true"
                app:layout_scrollFlags="scroll|exitUntilCollapsed|snap"
                app:collapsedTitleTextAppearance="@style/CollapsedAppBar"
                app:expandedTitleTextAppearance="@style/ExpandedAppBar">

                <com.google.android.material.appbar.MaterialToolbar
                    android:id="@+id/toolbar"
                    app:logo="?attr/appBarTitleIcon"
                    app:layout_anchor="@id/container"
                    android:gravity="center_vertical"
                    app:menu="@menu/action_bar_menu"
                    android:layout_width="match_parent"
                    android:layout_height="?attr/actionBarSize"
                    app:layout_collapseMode="pin"
                    android:elevation="0dp"
                    app:layout_scrollFlags="scroll|enterAlways|snap">
<!--                    <android.widget.Space
                        android:id="@+id/circle_collapsed_target"
                        android:layout_gravity="center_vertical"
                        android:layout_width="40dp"
                        android:layout_height="40dp"/>-->
                </com.google.android.material.appbar.MaterialToolbar>

            </com.google.android.material.appbar.CollapsingToolbarLayout>

        </com.google.android.material.appbar.AppBarLayout>

    </androidx.coordinatorlayout.widget.CoordinatorLayout>

    <com.ismaeldivita.chipnavigation.ChipNavigationBar
        android:id="@+id/bottom_menu"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_gravity="bottom"
        android:background="?attr/navMenuColor"
        android:elevation="16dp"
        android:padding="8dp"
        app:cnb_menuResource="@menu/nav_menu"
        app:cnb_orientationMode="horizontal" />

    <LinearLayout
        android:id="@+id/fab_container"
        android:visibility="invisible"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginBottom="80dp"
        android:layout_marginEnd="16dp"
        app:layout_anchor="@id/bottom_menu"
        app:layout_anchorGravity="top|end"
        android:orientation="vertical">

        <com.google.android.material.button.MaterialButton
            android:id="@+id/btn_encrypt_multiple"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:insetTop="0dp"
            android:insetBottom="0dp"
            android:padding="15dp"
            android:gravity="start|center"
            android:backgroundTint="?attr/fabColor"
            android:textColor="?attr/fabTextColor"
            app:iconTint="?attr/fabTextColor"
            app:icon="@drawable/archive_lock"
            app:iconGravity="textStart"
            app:rippleColor="@color/ZenCryptFabActionRipple"
            android:text="@string/encrypt_multiple"
            app:shapeAppearance="@style/ButtonTopCornerRadius"/>

        <com.google.android.material.button.MaterialButton
            android:id="@+id/btn_decrypt_multiple"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:cornerRadius="0dp"
            android:insetTop="0dp"
            android:insetBottom="0dp"
            android:padding="15dp"
            android:gravity="start|center"
            android:backgroundTint="?attr/fabColor"
            android:textColor="?attr/fabTextColor"
            app:iconTint="?attr/fabTextColor"
            app:icon="@drawable/archive_lock_open_outline"
            app:iconGravity="textStart"
            app:rippleColor="@color/ZenCryptFabActionRipple"
            android:text="@string/decrypt_multiple"/>

        <com.google.android.material.button.MaterialButton
            android:id="@+id/btn_decrypt_file"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:insetTop="0dp"
            app:cornerRadius="0dp"
            android:insetBottom="0dp"
            android:padding="15dp"
            android:gravity="start|center"
            app:icon="@drawable/lock_minus_outline"
            app:iconGravity="textStart"
            app:rippleColor="@color/ZenCryptFabActionRipple"
            android:backgroundTint="?attr/fabColor"
            android:textColor="?attr/fabTextColor"
            app:iconTint="?attr/fabTextColor"
            android:text="@string/decrypt_custom_file"/>

        <com.google.android.material.button.MaterialButton
            android:id="@+id/btn_encrypt_file"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:insetTop="0dp"
            android:insetBottom="0dp"
            android:padding="15dp"
            android:gravity="start|center"
            android:backgroundTint="?attr/mainExtendedFabColor"
            android:textColor="?attr/mainExtendedFabTextColor"
            app:iconTint="?attr/mainExtendedFabTextColor"
            app:icon="@drawable/lock_plus"
            app:rippleColor="@color/ZenCryptFabActionRipple"
            app:iconGravity="textStart"
            android:text="@string/encrypt_file"
            app:shapeAppearance="@style/ButtonBottomCornerRadius"/>

    </LinearLayout>

    <androidx.coordinatorlayout.widget.CoordinatorLayout
        android:id="@+id/extended_fab_coordinator"
        android:layout_width="match_parent"
        app:layout_anchorGravity="top"
        app:layout_anchor="@id/bottom_menu"
        android:layout_marginBottom="56dp"
        android:layout_height="match_parent">

        <com.google.android.material.floatingactionbutton.ExtendedFloatingActionButton
            android:id="@+id/fab"
            app:backgroundTint="?attr/fabColor"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="bottom|end"
            android:layout_marginEnd="16dp"
            android:layout_marginBottom="16dp"
            android:text="@string/actions"
            android:textColor="?attr/fabTextColor"
            app:rippleColor="@color/ZenCryptFabActionRipple"
            app:iconTint="?attr/fabTextColor"
            app:icon="@drawable/ic_add" />

    </androidx.coordinatorlayout.widget.CoordinatorLayout>


</androidx.coordinatorlayout.widget.CoordinatorLayout>